<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.6.2/jquery.min.js"></script>
<style>
.main_l .content{ margin:10px auto; width:480px; text-align:left; margin-bottom:50px}
.main_l .content .question{padding:10px 0; display:none;}
.main_l .content .q_title{ margin-bottom:30px;color:#27F;}
.main_l .item,.content .last_item{ font-size:15px; padding:5px 12px;line-height:28px; background:#f8f8f8; border:1px solid #ddd; margin-bottom:15px; cursor:pointer; color:#565656}
.content .item:hover,.content .last_item:hover{background:#eee; border:1px solid #ddd;}
</style>
<p style="color:#F06;line-height:30px; text-align:center; margin:20px;">已完成：<span id="count">0</span>/1</p>

<div class="content">
<form action="./" method="post" id="form1" name="form1">
<input type="hidden" id="follow" name="follow" />

<div class="question" style="display:block">
    <p class="q_title">去朋友家玩，回家时发现最后一班公交车已经没有了，而且回家需走10公里。这时在下列4个方法中，你会采用哪一个？请依照实际生活环境选出。</p>
    <p class="last_item"><input type="radio" name="i1" value="5"/>A.给家人打电话，说要住在朋友家。</p>
    <p class="last_item"><input type="radio" name="i1" value="10"/>B.坐出租车回家。</p>
    <p class="last_item"><input type="radio" name="i1" value="20"/>C.慢步走回家。</p>
	<p class="last_item"><input type="radio" name="i1" value="30"/>D.找个借口在朋友家住一晚。</p>
    <p style="text-align:center; margin-top:30px;">
    <a href="#" onclick="on_submit(); return false;"><img src="http://app.qpic.cn/mblogpic/05f902135224a3463866/2000" /></a>
    </p>
</div>
</form>
</div><!--/content-->

<script>
var v_time=0;
var current_i=0;
var last_ischecked=0;
$(function()
{
	$('.item').click(function()
	{
		
		$(this).children('input').attr('checked',true);
		current_i++;
		$('#count').html(current_i);
		$(this).parent('.question').hide(300);
		$(this).parent('.question').next().show(300);
	});
	$('.item').hover(function(){$(this).css('background','#eee');},function(){$(this).css('background','#f8f8f8');});
	
	$('.last_item').click(function()
	{
		$(this).children('input').attr('checked',true);
		if(last_ischecked==0)
		{
			current_i++;
			$('#count').html(current_i);
		}
		last_ischecked=1;
	});
	$('.last_item').hover(function(){$(this).css('background','#eee');},function(){$(this).css('background','#f8f8f8');});

});
function on_submit()
{
	if(last_ischecked==0)
	{
		alert('请选择一项！');
		return;
	}
	var form1=document.getElementById('form1');
	form1.submit();
}

</script>